View Issue Details

IDProjectCategoryView StatusLast Update
0001772SOGoBackend Calendarpublic2012-04-18 16:22
Reporterpepelton Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.12 
Fixed in Version1.3.15 
Summary0001772: Importing recurring events from Outlook 2010 makes sogo to terminate
Description

Syncing the attached calendar (testeri_doesnt_work.ics) via Funambol Windows Sync Client produces "stack smashing detected" error in the SOGo log and termination of sogod. After this user can see synced (imported) non-recurring events in the event list, but not in the actual calendar view. Reloading the calendar in the web UI after this always produces the "stack smash" until the calendar is removed with sogo-tool.

Trying to import the testeri_doesnt_work.ics in web UI to an empty calendar also produces the "stack smash". The upload window never closes and I have to click "cancel". With this method some non-recurring events are imported ok though.

If two first recurring events are removed and a Funambol sync is tried to against an empty calendar, everything seems to work ok (no "stack smash") with the exception that the recurring events are still not visible in the SOGo web UI. If I export this calendar from Outlook to an ics file and try to import it via web UI to an empty calendar a "stack mash" again happens and the upload window never closes again.

If I remove all recurring events both Funambol sync and SOGo web ui import work ok. My conclusion is that there is something in the Outlook 2010 ics format for recurring items that makes SOGo to terminate?

Additional Information

Software versions:

[root@sogo ~]# rpm -qa |grep sogo
sogo-tool-1.3.12c-1.centos6.i686
sogo-1.3.12c-1.centos6.i686
sogo-ealarms-notify-1.3.12c-1.centos6.i686

[root@sogo ~]# rpm -qa |grep sope
sope49-appserver-4.9-20120214_1664.el6.1.i686
sope49-sbjson-2.3.1-20120214_1664.el6.1.i686
sope49-xml-4.9-20120214_1664.el6.1.i686
sope49-gdl1-contentstore-1.3.12c-1.centos6.i686
sope49-cards-1.3.12c-1.centos6.i686
sope49-gdl1-postgresql-4.9-20120214_1664.el6.1.i686
sope49-gdl1-4.9-20120214_1664.el6.1.i686
sope49-ldap-4.9-20120214_1664.el6.1.i686
sope49-gdl1-mysql-4.9-20120214_1664.el6.1.i686
sope49-core-4.9-20120214_1664.el6.1.i686
sope49-mime-4.9-20120214_1664.el6.1.i686

funambol-8.5.2
funambol-sogo-1.0.8.s4j

Windows 7 Professional (English language version)
Outlook 2010 (Finnish language version)
Funambol Windows Sync Client 10.1.6

TagsNo tags attached.

Relationships

related to 0001759 closedludovic SOGo always crashing when specific record in calendar is present - with RRULE 

Activities

2012-04-12 10:49

 

testi_doesnt_work.ics (6,756 bytes)   
BEGIN:VCALENDAR
PRODID:-//Microsoft Corporation//Outlook 14.0 MIMEDIR//EN
VERSION:2.0
METHOD:PUBLISH
X-CALSTART:20120412T143000Z
X-CALEND:20300404T050000Z
X-WR-RELCALID:{00000018-64ED-4D98-19B5-B63EBEF47E0F}
X-WR-CALNAME:Testi
BEGIN:VTIMEZONE
TZID:Helsinki\, Kiev\, Riika\, Tallinna\, Sofia\, Vilna
BEGIN:STANDARD
DTSTART:16011028T040000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
TZOFFSETFROM:+0300
TZOFFSETTO:+0200
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:16010325T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
TZOFFSETFROM:+0200
TZOFFSETTO:+0300
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T065006Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120417T160000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120417T08000
	0
LAST-MODIFIED:20120412T065006Z
LOCATION:Fiskars
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=fi:Fiskars: Jatko-kertauskoulutus
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000E09F6B383000CD01000000000000000
	010000000ACB021070E84404A9F3F1C195F670DFF
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="fi"></SPAN></P>\n\n</BOD
	Y>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CATEGORIES:Juhlapäivä
CLASS:PUBLIC
CREATED:20120412T131907Z
DTEND;VALUE=DATE:20290101
DTSTAMP:20120412T051752Z
DTSTART;VALUE=DATE:20281231
LAST-MODIFIED:20120412T131907Z
LOCATION:Suomi
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=fi:Uudenvuodenaatto
TRANSP:TRANSPARENT
UID:040000008200E00074C5B7101A82E0080000000000E86E9C4D9CCB01000000000000000
	010000000B10697EE9B49014DAA0098FEFB557B68
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-AUTOSTARTCHECK:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Tepsell Aimo
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T08000
	0
LAST-MODIFIED:20120412T134145Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=8;BYMONTH=5
SEQUENCE:0
SUMMARY:TA: Syntymäpäivä
TRANSP:TRANSPARENT
UID:AAAAAKBLfQSTFlxNn7zABZSzyYkk0iYA
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Marjatta Hänninen
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120420T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120420T08000
	0
LAST-MODIFIED:20120412T134129Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=20;BYMONTH=4
SEQUENCE:0
SUMMARY:MHä: Syntymäpäivä
TRANSP:TRANSPARENT
UID:AAAAAKBLfQSTFlxNn7zABZSzyYlE0iYA
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Eila Tepsell
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120426T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120426T08000
	0
LAST-MODIFIED:20120412T134136Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=26;BYMONTH=4
SEQUENCE:0
SUMMARY:ET: Syntymäpäivä
TRANSP:TRANSPARENT
UID:040000008200E00074C5B7101A82E00800000000A038CA1E1EC1CB01000000000000000
	01000000004C294562A887A4AAD8DEA5F2779FB61
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Matti Tepsell
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20130404T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20130404T08000
	0
LAST-MODIFIED:20120412T134154Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=4;BYMONTH=4
SEQUENCE:0
SUMMARY:MT: Syntymäpäivä
TRANSP:TRANSPARENT
UID:AAAAAKBLfQSTFlxNn7zABZSzyYkE0yYA
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T131908Z
DESCRIPTION:\n
DTEND:20120412T173000Z
DTSTAMP:20120412T051752Z
DTSTART:20120412T143000Z
LAST-MODIFIED:20120412T134053Z
SEQUENCE:0
SUMMARY;LANGUAGE=en-us:Saunailta
TRANSP:OPAQUE
UID:HTTPS:-WWW-SILVADATA-FI-WEBCALENDAR-JUKKA-0000000000
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="en-us"></SPAN><SPAN LANG
	="fi"></SPAN></P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T131908Z
DESCRIPTION:esittely\n\n
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120418T083000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120418T08000
	0
LAST-MODIFIED:20120412T134113Z
LOCATION:Espoo
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=en-us:ammattiopisto
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000D0B34AC92B13CD01000000000000000
	010000000C4BFF77BA1561B4BA06A1F31AB7D91B3
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="en-us"></SPAN><SPAN LANG
	="en-us"></SPAN><SPAN LANG="en-us"><FONT FACE="Calibri">esittely</FONT></S
	PAN><SPAN LANG="en-us"></SPAN><SPAN LANG="en-us"></SPAN><SPAN LANG="en-us"
	></SPAN></P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:TENTATIVE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
END:VCALENDAR
testi_doesnt_work.ics (6,756 bytes)   

2012-04-12 10:50

 

testi_works_with_funambol.ics (5,365 bytes)   
BEGIN:VCALENDAR
PRODID:-//Microsoft Corporation//Outlook 14.0 MIMEDIR//EN
VERSION:2.0
METHOD:PUBLISH
X-CALSTART:20120412T143000Z
X-CALEND:20300404T050000Z
X-WR-RELCALID:{00000018-64ED-4D98-19B5-B63EBEF47E0F}
X-WR-CALNAME:Testi
BEGIN:VTIMEZONE
TZID:Helsinki\, Kiev\, Riika\, Tallinna\, Sofia\, Vilna
BEGIN:STANDARD
DTSTART:16011028T040000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
TZOFFSETFROM:+0300
TZOFFSETTO:+0200
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:16010325T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
TZOFFSETFROM:+0200
TZOFFSETTO:+0300
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T065006Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120417T160000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120417T08000
	0
LAST-MODIFIED:20120412T065006Z
LOCATION:Fiskars
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=fi:Fiskars: Jatko-kertauskoulutus
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000E09F6B383000CD01000000000000000
	010000000ACB021070E84404A9F3F1C195F670DFF
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="fi"></SPAN></P>\n\n</BOD
	Y>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CATEGORIES:Juhlapäivä
CLASS:PUBLIC
CREATED:20120412T131907Z
DTEND;VALUE=DATE:20290101
DTSTAMP:20120412T051752Z
DTSTART;VALUE=DATE:20281231
LAST-MODIFIED:20120412T131907Z
LOCATION:Suomi
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=fi:Uudenvuodenaatto
TRANSP:TRANSPARENT
UID:040000008200E00074C5B7101A82E0080000000000E86E9C4D9CCB01000000000000000
	010000000B10697EE9B49014DAA0098FEFB557B68
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-AUTOSTARTCHECK:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Tepsell Aimo
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T08000
	0
LAST-MODIFIED:20120412T134145Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=8;BYMONTH=5
SEQUENCE:0
SUMMARY:TA: Syntymäpäivä
TRANSP:TRANSPARENT
UID:AAAAAKBLfQSTFlxNn7zABZSzyYkk0iYA
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Matti Tepsell
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20130404T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20130404T08000
	0
LAST-MODIFIED:20120412T134154Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=4;BYMONTH=4
SEQUENCE:0
SUMMARY:MT: Syntymäpäivä
TRANSP:TRANSPARENT
UID:AAAAAKBLfQSTFlxNn7zABZSzyYkE0yYA
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T131908Z
DESCRIPTION:\n
DTEND:20120412T173000Z
DTSTAMP:20120412T051752Z
DTSTART:20120412T143000Z
LAST-MODIFIED:20120412T134053Z
SEQUENCE:0
SUMMARY;LANGUAGE=en-us:Saunailta
TRANSP:OPAQUE
UID:HTTPS:-WWW-SILVADATA-FI-WEBCALENDAR-JUKKA-0000000000
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="en-us"></SPAN><SPAN LANG
	="fi"></SPAN></P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T131908Z
DESCRIPTION:esittely\n\n
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120418T083000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120418T08000
	0
LAST-MODIFIED:20120412T134113Z
LOCATION:Espoo
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=en-us:ammattiopisto
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000D0B34AC92B13CD01000000000000000
	010000000C4BFF77BA1561B4BA06A1F31AB7D91B3
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="en-us"></SPAN><SPAN LANG
	="en-us"></SPAN><SPAN LANG="en-us"><FONT FACE="Calibri">esittely</FONT></S
	PAN><SPAN LANG="en-us"></SPAN><SPAN LANG="en-us"></SPAN><SPAN LANG="en-us"
	></SPAN></P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:TENTATIVE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
END:VCALENDAR
testi_works_with_funambol.ics (5,365 bytes)   

2012-04-12 10:50

 

testi_without_recurring_events.ics (4,049 bytes)   
BEGIN:VCALENDAR
PRODID:-//Microsoft Corporation//Outlook 14.0 MIMEDIR//EN
VERSION:2.0
METHOD:PUBLISH
X-CALSTART:20120412T143000Z
X-CALEND:20290101T000000
X-WR-RELCALID:{00000018-DD56-E8E5-19B5-B63E9EF37E0F}
X-WR-CALNAME:Testi
BEGIN:VTIMEZONE
TZID:Helsinki\, Kiev\, Riika\, Tallinna\, Sofia\, Vilna
BEGIN:STANDARD
DTSTART:16011028T040000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
TZOFFSETFROM:+0300
TZOFFSETTO:+0200
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:16010325T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
TZOFFSETFROM:+0200
TZOFFSETTO:+0300
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T142102Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120417T160000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120417T08000
	0
LAST-MODIFIED:20120412T142102Z
LOCATION:Fiskars
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=fi:Fiskars: Jatko-kertauskoulutus
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000E09F6B383000CD01000000000000000
	010000000ACB021070E84404A9F3F1C195F670DFF
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="fi"></SPAN></P>\n\n</BOD
	Y>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CATEGORIES:Juhlapäivä
CLASS:PUBLIC
CREATED:20120412T142102Z
DTEND;VALUE=DATE:20290101
DTSTAMP:20120412T051752Z
DTSTART;VALUE=DATE:20281231
LAST-MODIFIED:20120412T142102Z
LOCATION:Suomi
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=fi:Uudenvuodenaatto
TRANSP:TRANSPARENT
UID:040000008200E00074C5B7101A82E0080000000000E86E9C4D9CCB01000000000000000
	010000000B10697EE9B49014DAA0098FEFB557B68
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-AUTOSTARTCHECK:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T142102Z
DTEND:20120412T173000Z
DTSTAMP:20120412T051752Z
DTSTART:20120412T143000Z
LAST-MODIFIED:20120412T142102Z
SEQUENCE:0
SUMMARY;LANGUAGE=en-us:Saunailta
TRANSP:OPAQUE
UID:HTTPS:-WWW-SILVADATA-FI-WEBCALENDAR-JUKKA-0000000000
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="en-us"></SPAN><SPAN LANG
	="fi"></SPAN></P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:BUSY
END:VEVENT
BEGIN:VEVENT
CLASS:PUBLIC
CREATED:20120412T142102Z
DESCRIPTION:esittely\n\n
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120418T083000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120418T08000
	0
LAST-MODIFIED:20120412T142102Z
LOCATION:Espoo
PRIORITY:5
SEQUENCE:0
SUMMARY;LANGUAGE=en-us:ammattiopisto
TRANSP:OPAQUE
UID:040000008200E00074C5B7101A82E00800000000D0B34AC92B13CD01000000000000000
	010000000C4BFF77BA1561B4BA06A1F31AB7D91B3
X-ALT-DESC;FMTTYPE=text/html:<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//E
	N">\n<HTML>\n<HEAD>\n<META NAME="Generator" CONTENT="MS Exchange Server ve
	rsion 14.02.5004.000">\n<TITLE></TITLE>\n</HEAD>\n<BODY>\n<!-- Converted f
	rom text/rtf format -->\n\n<P DIR=LTR><SPAN LANG="en-us"></SPAN><SPAN LANG
	="en-us"></SPAN><SPAN LANG="en-us"><FONT FACE="Calibri">esittely</FONT></S
	PAN><SPAN LANG="en-us"></SPAN><SPAN LANG="en-us"></SPAN><SPAN LANG="en-us"
	></SPAN></P>\n\n</BODY>\n</HTML>
X-MICROSOFT-CDO-BUSYSTATUS:TENTATIVE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-AUTOFILLLOCATION:FALSE
X-MS-OLK-CONFTYPE:0
END:VEVENT
END:VCALENDAR

2012-04-12 10:51

 

sogo_log.txt (22,155 bytes)   
82.181.mydomain206.89 - - [12/Apr/2012:16:46:42 GMT] "POST /SOGo/so/testeri@mydomain
.com/Calendar/reloadWebCalendars HTTP/1.1" 204 0/0 0.005 - - 4K
2012-04-12 16:46:42.374 sogod[27770] ERROR(-[NSNull(misc) forwardInvocation:]): 
called selector lowercaseString on NSNull !
2012-04-12 16:46:42.375 sogod[27770] ERROR(-[NSNull(misc) forwardInvocation:]): 
called selector lowercaseString on NSNull !
2012-04-12 16:46:42.375 sogod[27770] ERROR(-[NSNull(misc) forwardInvocation:]): 
called selector lowercaseString on NSNull !
2012-04-12 16:46:42.375 sogod[27770] ERROR(-[NSNull(misc) forwardInvocation:]): 
called selector lowercaseString on NSNull !
82.181.206.89 - - [12/Apr/2012:16:46:42 GMT] "POST /SOGo/so/testeri@mydomain
.com/Calendar/eventslist?asc=true&sort=start&day=20120417&filterpopup=view_futur
e HTTP/1.1" 200 381/0 0.007 1181 67% 168K
2012-04-12 16:46:42.518 sogod[27770] WOCompoundElement: pool embedding is on.
2012-04-12 16:46:42.518 sogod[27770] WOCompoundElement: id logging is on.
82.181.206.89 - - [12/Apr/2012:16:46:42 GMT] "POST /SOGo/so/testeri@mydomain
.com/Calendar/weekview?day=20120417 HTTP/1.1" 200 1929/0 0.073 22280 91% 1M
*** stack smashing detected ***: /usr/sbin/sogod terminated
======= Backtrace: =========
/lib/i686/nosegneg/libc.so.6(__fortify_fail+0x4d)[0x62b62d]
/lib/i686/nosegneg/libc.so.6[0x62b5da]
/usr/lib/libNGCards.so.4.9[0x67b8824]
/usr/lib/libNGCards.so.4.9[0x67aaf1d]
/usr/lib/libNGCards.so.4.9[0x67b3e89]
/usr/lib/libNGCards.so.4.9[0x67ae38d]
/usr/lib/libNGCards.so.4.9[0x67ae8e6]
/usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments(+0x27ca0)[0xe08ca0]
/usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments(+0x27ffe)[0xe08ffe]
/usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments(+0x28b65)[0xe09b65]
/usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments(+0x2e325)[0xe0f325]
/usr/lib/GNUstep/SOGo/Appointments.SOGo/./Appointments(+0x2e163)[0xe0f163]
/usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/./SchedulerUI(+0x1b424)[0x1008424]
/usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/./SchedulerUI(+0x1e5a0)[0x100b5a0]
/usr/lib/libgnustep-base.so.1.23[0x69ebc18]
/usr/lib/libNGObjWeb.so.4.9[0x6f8ba08]
/usr/lib/libNGObjWeb.so.4.9[0x7021bee]
/usr/lib/libNGObjWeb.so.4.9[0x7021d26]
/usr/lib/libNGObjWeb.so.4.9[0x7021949]
/usr/lib/libNGObjWeb.so.4.9[0x7021d26]
/usr/lib/libNGObjWeb.so.4.9[0x701bcb2]
/usr/lib/libNGObjWeb.so.4.9[0x701e4c5]
/usr/lib/libNGObjWeb.so.4.9[0x6f9ebb2]
/usr/lib/libNGObjWeb.so.4.9[0x6f5ad96]
/usr/lib/libNGObjWeb.so.4.9[0x6f5b0ca]
/usr/sbin/sogod[0x804a9f9]
/usr/lib/libNGObjWeb.so.4.9[0x700be1a]
/usr/lib/libNGObjWeb.so.4.9[0x700c1c0]
/usr/lib/libNGObjWeb.so.4.9[0x7007aa9]
/usr/lib/libNGObjWeb.so.4.9[0x7007cea]
/usr/lib/libNGObjWeb.so.4.9[0x700811c]
/usr/lib/libNGObjWeb.so.4.9[0x7008425]
/usr/lib/libgnustep-base.so.1.23[0x69db8ee]
/usr/lib/libgnustep-base.so.1.23[0x69dbbda]
/usr/lib/libgnustep-base.so.1.23[0x69dba88]
/usr/lib/libNGExtensions.so.4.9[0x6e9fcc7]
/usr/lib/libgnustep-base.so.1.23[0x6af2d42]
/usr/lib/libgnustep-base.so.1.23[0x6a29d73]
/usr/lib/libgnustep-base.so.1.23[0x6a2a174]
/usr/lib/libNGObjWeb.so.4.9[0x6f5a55f]
/usr/sbin/sogod[0x804a074]
/usr/lib/libNGObjWeb.so.4.9[0x6fa89d1]
/usr/lib/libNGObjWeb.so.4.9[0x6fa8e42]
/usr/lib/libNGObjWeb.so.4.9[0x6fa95e0]
/usr/lib/libNGObjWeb.so.4.9(WOWatchDogApplicationMain+0x5a9)[0x6fab16a]
/usr/sbin/sogod(main+0x121)[0x80492e5]
/lib/i686/nosegneg/libc.so.6(__libc_start_main+0xe6)[0x547ce6]/usr/sbin/sogod[0x8049131]
======= Memory map: ========00101000-00139000 r-xp 00000000 fd:00 140284     /usr/lib/libssl3.so
00139000-0013a000 r--p 00038000 fd:00 140284     /usr/lib/libssl3.so
0013a000-0013b000 rw-p 00039000 fd:00 140284     /usr/lib/libssl3.so
0013b000-0013c000 r-xp 00000000 fd:00 387467     /usr/lib/GNUstep/SoProducts-4.9
/SoCore.sxp/SoCore0013c000-0013d000 rw-p 00000000 fd:00 387467     /usr/lib/GNUstep/SoProducts-4.9
/SoCore.sxp/SoCore0013d000-00165000 r-xp 00000000 fd:00 140517     /usr/lib/libsmime3.so
00165000-00167000 r--p 00027000 fd:00 140517     /usr/lib/libsmime3.so
00167000-00168000 rw-p 00029000 fd:00 140517     /usr/lib/libsmime3.so
00168000-00169000 r-xp 00000000 fd:00 390378     /usr/lib/GNUstep/WOxElemBuilders-4.9/SOGoElements.wox/SOGoElements
001a4000-001a5000 rw-p 0003a000 fd:00 151543     /usr/lib/libxslt.so.1.1.26
001a5000-001a6000 r-xp 00000000 fd:00 387471     /usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
001a6000-001a7000 rw-p 00000000 fd:00 387471     /usr/lib/GNUstep/WOxElemBuilders-4.9/WEExtensions.wox/WEExtensions
001a7000-001ca000 r-xp 00000000 fd:00 155369     /usr/lib/libGDLContentStore.so.4.9.0
001ca000-001d3000 rw-p 00023000 fd:00 155369     /usr/lib/libGDLContentStore.so.4.9.0
001d3000-001d4000 r-xp 00000000 fd:00 387477     /usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
001d4000-001d5000 rw-p 00000000 fd:00 387477     /usr/lib/GNUstep/WOxElemBuilders-4.9/WOExtensions.wox/WOExtensions
001d5000-00210000 r-xp 00000000 fd:00 142178     /usr/lib/libNGStreams.so.4.9.57
00210000-00226000 rw-p 0003b000 fd:00 142178     /usr/lib/libNGStreams.so.4.9.57
00226000-0022f000 r-xp 00000000 fd:00 553        /lib/libkrb5support.so.0.1
0022f000-00230000 r--p 00008000 fd:00 553        /lib/libkrb5support.so.0.1
00230000-00231000 rw-p 00009000 fd:00 553        /lib/libkrb5support.so.0.1
00231000-00233000 r-xp 00000000 fd:00 388961     /usr/lib/GNUstep/SOGo/Administr
ationUI.SOGo/AdministrationUI00233000-00234000 rw-p 00001000 fd:00 388961     /usr/lib/GNUstep/SOGo/Administr
ationUI.SOGo/AdministrationUI00234000-00237000 r-xp 00000000 fd:00 388367     /usr/lib/GNUstep/Libraries/gnus
tep-base/Versions/1.23/Resources/SSL.bundle/SSL00237000-00238000 rw-p 00003000 fd:00 388367     /usr/lib/GNUstep/Libraries/gnus
tep-base/Versions/1.23/Resources/SSL.bundle/SSL
0023c000-003b1000 r-xp 00000000 fd:00 139685     /usr/lib/libcrypto.so.1.0.0
003b1000-003bf000 r--p 00174000 fd:00 139685     /usr/lib/libcrypto.so.1.0.0
003bf000-003c5000 rw-p 00182000 fd:00 139685     /usr/lib/libcrypto.so.1.0.0
003c5000-003c8000 rw-p 00000000 00:00 0 
003ca000-003e1000 r-xp 00000000 fd:00 7908       /lib/libnsl-2.12.so
003e1000-003e2000 r--p 00016000 fd:00 7908       /lib/libnsl-2.12.so
003e2000-003e3000 rw-p 00017000 fd:00 7908       /lib/libnsl-2.12.so
003e3000-003e5000 rw-p 00000000 00:00 0 
003e7000-00402000 r-xp 00000000 fd:00 155364     /usr/lib/libNGLdap.so.4.9.35
00402000-0040a000 rw-p 0001a000 fd:00 155364     /usr/lib/libNGLdap.so.4.9.350040a000-00412000 r-xp 00000000 fd:00 388080     /usr/lib/GNUstep/SaxDrivers-4.9
/versitCardsSaxDriver.sax/versitCardsSaxDriver
00412000-00414000 rw-p 00008000 fd:00 388080     /usr/lib/GNUstep/SaxDrivers-4.9
/versitCardsSaxDriver.sax/versitCardsSaxDriver
00415000-00468000 r-xp 00000000 fd:00 139914     /usr/lib/libssl.so.1.0.0
00468000-0046a000 r--p 00052000 fd:00 139914     /usr/lib/libssl.so.1.0.0
0046a000-0046d000 rw-p 00054000 fd:00 139914     /usr/lib/libssl.so.1.0.0
0046f000-00483000 r-xp 00000000 fd:00 154192     /usr/lib/libSaxObjC.so.4.9.66
00483000-00489000 rw-p 00014000 fd:00 154192     /usr/lib/libSaxObjC.so.4.9.66
0048b000-004a2000 r-xp 00000000 fd:00 154385     /usr/lib/libXmlRpc.so.4.9.31
004a2000-004a9000 rw-p 00016000 fd:00 154385     /usr/lib/libXmlRpc.so.4.9.31
004ac000-004c5000 r-xp 00000000 fd:00 141371     /usr/lib/libsasl2.so.2.0.23
004c5000-004c6000 r--p 00018000 fd:00 141371     /usr/lib/libsasl2.so.2.0.23
004c6000-004c7000 rw-p 00019000 fd:00 141371     /usr/lib/libsasl2.so.2.0.23
004c7000-004f0000 r-xp 00000000 fd:00 1994       /lib/libk5crypto.so.3.1
004f0000-004f1000 ---p 00029000 fd:00 1994       /lib/libk5crypto.so.3.1
004f1000-004f2000 r--p 00029000 fd:00 1994       /lib/libk5crypto.so.3.1
004f2000-004f3000 rw-p 0002a000 fd:00 1994       /lib/libk5crypto.so.3.1
004f3000-00501000 r-xp 00000000 fd:00 389039     /usr/lib/GNUstep/SOGo/CommonUI.SOGo/CommonUI
00501000-00506000 rw-p 0000d000 fd:00 389039     /usr/lib/GNUstep/SOGo/CommonUI.SOGo/CommonUI
00501000-00506000 rw-p 0000d000 fd:00 389039     /usr/lib/GNUstep/SOGo/CommonUI.
SOGo/CommonUI
0050f000-0052d000 r-xp 00000000 fd:00 310        /lib/ld-2.12.so
0052d000-0052e000 r--p 0001d000 fd:00 310        /lib/ld-2.12.so
0052e000-0052f000 rw-p 0001e000 fd:00 310        /lib/ld-2.12.so
00531000-006bf000 r-xp 00000000 fd:00 329        /lib/i686/nosegneg/libc-2.12.so
006bf000-006c1000 r--p 0018d000 fd:00 329        /lib/i686/nosegneg/libc-2.12.so
006c1000-006c2000 rw-p 0018f000 fd:00 329        /lib/i686/nosegneg/libc-2.12.so006c2000-006c5000 rw-p 00000000 00:00 0 
006c7000-006ca000 r-xp 00000000 fd:00 445        /lib/libdl-2.12.so006ca000-006cb000 r--p 00002000 fd:00 445        /lib/libdl-2.12.so
006cb000-006cc000 rw-p 00003000 fd:00 445        /lib/libdl-2.12.so006ce000-006e5000 r-xp 00000000 fd:00 331        /lib/i686/nosegneg/libpthread-2
.12.so
006e5000-006e6000 r--p 00016000 fd:00 331        /lib/i686/nosegneg/libpthread-2
.12.so
006e6000-006e7000 rw-p 00017000 fd:00 331        /lib/i686/nosegneg/libpthread-2
.12.so
006e7000-006e9000 rw-p 00000000 00:00 0 
006eb000-00713000 r-xp 00000000 fd:00 415        /lib/libm-2.12.so
00717000-00729000 r-xp 00000000 fd:00 2206       /lib/libz.so.1.2.3
00729000-0072a000 r--p 00011000 fd:00 2206       /lib/libz.so.1.2.3
0072a000-0072b000 rw-p 00012000 fd:00 2206       /lib/libz.so.1.2.3
0072d000-00734000 r-xp 00000000 fd:00 354        /lib/librt-2.12.so
00734000-00735000 r--p 00006000 fd:00 354        /lib/librt-2.12.so
00735000-00736000 rw-p 00007000 fd:00 354        /lib/librt-2.12.so
00738000-00755000 r-xp 00000000 fd:00 446        /lib/libselinux.so.1
00755000-00756000 r--p 0001c000 fd:00 446        /lib/libselinux.so.1
00756000-00757000 rw-p 0001d000 fd:00 446        /lib/libselinux.so.1
00759000-00770000 r-xp 00000000 fd:00 140621     /usr/lib/libobjc.so.2.0.0
00770000-00772000 rw-p 00016000 fd:00 140621     /usr/lib/libobjc.so.2.0.0
00772000-00773000 rw-p 00000000 00:00 0 
00775000-0077a000 r-xp 00000000 fd:00 145666     /usr/lib/libffi.so.5.0.10
0077a000-0077b000 rw-p 00005000 fd:00 145666     /usr/lib/libffi.so.5.0.10
0077d000-0079e000 r-xp 00000000 fd:00 141181     /usr/lib/libmemcached.so.7.0.0
0079e000-0079f000 rw-p 00021000 fd:00 141181     /usr/lib/libmemcached.so.7.0.0
007a1000-0080a000 r-xp 00000000 fd:00 146022     /usr/lib/libGDLAccess.so.4.9.63
0080a000-00827000 rw-p 00069000 fd:00 146022     /usr/lib/libGDLAccess.so.4.9.63
00829000-0082b000 r-xp 00000000 fd:00 155370     /usr/lib/libOGoContentStore.so.0.9.0
00835000-00838000 rw-p 00008000 fd:00 389348     /usr/lib/GNUstep/SOGo/MainUI.SOGo/MainUI
00839000-00840000 r-xp 00000000 fd:00 154387     /usr/lib/libSBJson.so.2.3.1
00840000-00842000 rw-p 00007000 fd:00 154387     /usr/lib/libSBJson.so.2.3.1
00844000-00859000 r-xp 00000000 fd:00 451        /lib/libresolv-2.12.so
00859000-0085a000 ---p 00015000 fd:00 451        /lib/libresolv-2.12.so
0085a000-0085b000 r--p 00015000 fd:00 451        /lib/libresolv-2.12.so
0085b000-0085c000 rw-p 00016000 fd:00 451        /lib/libresolv-2.12.so
0085c000-0085e000 rw-p 00000000 00:00 0 
00860000-008a9000 r-xp 00000000 fd:00 2277       /lib/libfreebl3.so
008a9000-008aa000 r--p 00048000 fd:00 2277       /lib/libfreebl3.so
008aa000-008ab000 rw-p 00049000 fd:00 2277       /lib/libfreebl3.so
008ab000-008af000 rw-p 00000000 00:00 0 
008b1000-008b8000 r-xp 00000000 fd:00 2493       /lib/libcrypt-2.12.so
008b8000-008b9000 r--p 00007000 fd:00 2493       /lib/libcrypt-2.12.so
008b9000-008ba000 rw-p 00008000 fd:00 2493       /lib/libcrypt-2.12.so
008ba000-008e1000 rw-p 00000000 00:00 0 
008e3000-00911000 r-xp 00000000 fd:00 154270     /usr/lib/libDOM.so.4.9.24
00911000-0091f000 rw-p 0002e000 fd:00 154270     /usr/lib/libDOM.so.4.9.24
00911000-0091f000 rw-p 0002e000 fd:00 154270     /usr/lib/libDOM.so.4.9.24
0092c000-00949000 r-xp 00000000 fd:00 7850       /lib/libgcc_s-4.4.6-20110824.so.1
00949000-0094a000 rw-p 0001d000 fd:00 7850       /lib/libgcc_s-4.4.6-20110824.so.1
0094c000-00a2d000 r-xp 00000000 fd:00 142329     /usr/lib/libstdc++.so.6.0.13
00a2d000-00a31000 r--p 000e0000 fd:00 142329     /usr/lib/libstdc++.so.6.0.13
00a31000-00a33000 rw-p 000e4000 fd:00 142329     /usr/lib/libstdc++.so.6.0.13
00a33000-00a39000 rw-p 00000000 00:00 0 
00a3b000-00a3e000 r-xp 00000000 fd:00 2095       /lib/libcom_err.so.2.1
00a3e000-00a3f000 r--p 00002000 fd:00 2095       /lib/libcom_err.so.2.1
00a3f000-00a40000 rw-p 00003000 fd:00 2095       /lib/libcom_err.so.2.1
00a42000-00b83000 r-xp 00000000 fd:00 146092     /usr/lib/libicuuc.so.42.1
00b83000-00b8e000 rw-p 00140000 fd:00 146092     /usr/lib/libicuuc.so.42.1
00b8e000-00b90000 rw-p 00000000 00:00 0 
00b92000-00bc2000 r-xp 00000000 fd:00 137106     /usr/lib/libEOControl.so.4.9.74
00bc2000-00bd0000 rw-p 0002f000 fd:00 137106     /usr/lib/libEOControl.so.4.9.74
00bd0000-00c9f000 r-xp 00000000 fd:00 2130       /lib/libkrb5.so.3.3
00c9f000-00ca5000 r--p 000ce000 fd:00 2130       /lib/libkrb5.so.3.3
00ca5000-00ca6000 rw-p 000d4000 fd:00 2130       /lib/libkrb5.so.3.3
00ca6000-00cd7000 r-xp 00000000 fd:00 5888       /lib/libidn.so.11.6.1
00cd7000-00cd8000 rw-p 00030000 fd:00 5888       /lib/libidn.so.11.6.1
00cda000-00cdc000 r-xp 00000000 fd:00 147123     /usr/lib/gconv/UTF-32.so
00cdc000-00cdd000 r--p 00001000 fd:00 147123     /usr/lib/gconv/UTF-32.so
00cdd000-00cde000 rw-p 00002000 fd:00 147123     /usr/lib/gconv/UTF-32.so
00ceb000-00cec000 r-xp 00000000 00:00 0          [vdso]
00cfa000-00cfc000 r-xp 00000000 fd:00 450        /lib/libkeyutils.so.1.3
00cfc000-00cfd000 r--p 00001000 fd:00 450        /lib/libkeyutils.so.1.3
00cfd000-00cfe000 rw-p 00002000 fd:00 450        /lib/libkeyutils.so.1.3
00d00000-00d0d000 r-xp 00000000 fd:00 248        /lib/liblber-2.4.so.2.5.6
00d0d000-00d0e000 r--p 0000d000 fd:00 248        /lib/liblber-2.4.so.2.5.6
00d0e000-00d0f000 rw-p 0000e000 fd:00 248        /lib/liblber-2.4.so.2.5.6
00d0f000-00d1c000 r-xp 00000000 fd:00 389409     /usr/lib/GNUstep/SOGo/PreferencesUI.SOGo/PreferencesUI
00d1c000-00d20000 rw-p 0000c000 fd:00 389409     /usr/lib/GNUstep/SOGo/PreferencesUI.SOGo/PreferencesUI
00d24000-00d28000 r-xp 00000000 fd:00 243        /lib/libplc4.so
00d28000-00d29000 r--p 00003000 fd:00 243        /lib/libplc4.so
00d29000-00d2a000 rw-p 00004000 fd:00 243        /lib/libplc4.so
00d2c000-00d2f000 r-xp 00000000 fd:00 245        /lib/libplds4.so
00d2f000-00d30000 r--p 00002000 fd:00 245        /lib/libplds4.so
00d30000-00d31000 rw-p 00003000 fd:00 245        /lib/libplds4.so
00d7c000-00d7d000 ---p 0003c000 fd:00 2185       /lib/libgssapi_krb5.so.2.2
00d7d000-00d7e000 r--p 0003c000 fd:00 2185       /lib/libgssapi_krb5.so.2.2
00d7e000-00d7f000 rw-p 0003d000 fd:00 2185       /lib/libgssapi_krb5.so.2.2
00d81000-00d9d000 r-xp 00000000 fd:00 136671     /usr/lib/libnssutil3.so
00d9d000-00da0000 r--p 0001b000 fd:00 136671     /usr/lib/libnssutil3.so
00da0000-00da1000 rw-p 0001e000 fd:00 136671     /usr/lib/libnssutil3.so
00da3000-00ddd000 r-xp 00000000 fd:00 239        /lib/libnspr4.so
00ddd000-00dde000 r--p 00039000 fd:00 239        /lib/libnspr4.so
00dde000-00ddf000 rw-p 0003a000 fd:00 239        /lib/libnspr4.so
00ddf000-00de1000 rw-p 00000000 00:00 0 
00de1000-00e2a000 r-xp 00000000 fd:00 388999     /usr/lib/GNUstep/SOGo/Appointments.SOGo/Appointments
00e2a000-00e3e000 rw-p 00048000 fd:00 388999     /usr/lib/GNUstep/SOGo/Appointments.SOGo/Appointments
00e3e000-00e91000 r-xp 00000000 fd:00 140475     /usr/lib/libcurl.so.4.1.1
00e91000-00e93000 rw-p 00052000 fd:00 140475     /usr/lib/libcurl.so.4.1.1
00e93000-00eb8000 r-xp 00000000 fd:00 139814     /usr/lib/libssh2.so.1.0.1
00eb8000-00eb9000 rw-p 00024000 fd:00 139814     /usr/lib/libssh2.so.1.0.1
00eb9000-00ef2000 r-xp 00000000 fd:00 389203     /usr/lib/GNUstep/SOGo/Mailer.SO
00ef2000-00f02000 rw-p 00039000 fd:00 389203     /usr/lib/GNUstep/SOGo/Mailer.SO
Go/Mailer
00f02000-00f11000 r-xp 00000000 fd:00 155004     /usr/lib/libSOGoUI.so.1.3.0
00f11000-00f19000 rw-p 0000e000 fd:00 155004     /usr/lib/libSOGoUI.so.1.3.0
00f2c000-00f2e000 r-xp 00000000 fd:00 135919     /usr/lib/gconv/UTF-16.so
00f2e000-00f2f000 r--p 00001000 fd:00 135919     /usr/lib/gconv/UTF-16.so
00f2f000-00f30000 rw-p 00002000 fd:00 135919     /usr/lib/gconv/UTF-16.so00f30000-00f50000 r-xp 00000000 fd:00 138303     /usr/lib/libWOExtensions.so.4.9
.3100f50000-00f5c000 rw-p 0001f000 fd:00 138303     /usr/lib/libWOExtensions.so.4.9
.3100f5c000-00f6c000 r-xp 00000000 fd:00 389082     /usr/lib/GNUstep/SOGo/Contacts.
SOGo/Contacts00f6c000-00f72000 rw-p 0000f000 fd:00 389082     /usr/lib/GNUstep/SOGo/Contacts.
SOGo/Contacts00f72000-00f87000 r-xp 00000000 fd:00 389164     /usr/lib/GNUstep/SOGo/MailPartV
iewers.SOGo/MailPartViewers00f87000-00f8e000 rw-p 00014000 fd:00 389164     /usr/lib/GNUstep/SOGo/MailPartV
iewers.SOGo/MailPartViewers00f8e000-00fb4000 r-xp 00000000 fd:00 389304     /usr/lib/GNUstep/SOGo/MailerUI.
SOGo/MailerUI
00fbf000-00fd7000 r-xp 00000000 fd:00 389121     /usr/lib/GNUstep/SOGo/ContactsUI.SOGo/ContactsUI
00fd7000-00fde000 rw-p 00017000 fd:00 389121     /usr/lib/GNUstep/SOGo/ContactsU
I.SOGo/ContactsUI
00fdf000-00feb000 r-xp 00000000 fd:00 9033       /lib/libnss_files-2.12.so
00feb000-00fec000 r--p 0000b000 fd:00 9033       /lib/libnss_files-2.12.so00fec000-00fed000 rw-p 0000c000 fd:00 9033       /lib/libnss_files-2.12.so
00fed000-0102d000 r-xp 00000000 fd:00 389496     /usr/lib/GNUstep/SOGo/SchedulerUI.SOGo/SchedulerUI
0102d000-0103f000 rw-p 00040000 fd:00 389496     /usr/lib/GNUstep/SOGo/Scheduler
UI.SOGo/SchedulerUI
0103f000-01064000 r-xp 00000000 fd:00 141201     /usr/lib/libpq.so.5.201064000-01066000 rw-p 00024000 fd:00 141201     /usr/lib/libpq.so.5.2
01066000-01193000 r-xp 00000000 fd:00 142866     /usr/lib/mysql/libmysqlclient.so.16.0.0
01193000-011da000 rw-p 0012d000 fd:00 142866     /usr/lib/mysql/libmysqlclient.s
o.16.0.0
017fd000-0184d000 r-xp 00000000 fd:00 291        /lib/libldap_r-2.4.so.2.5.6
0184d000-0184e000 r--p 00050000 fd:00 291        /lib/libldap_r-2.4.so.2.5.6
0184e000-0184f000 rw-p 00051000 fd:00 291        /lib/libldap_r-2.4.so.2.5.60184f000-01850000 rw-p 00000000 00:00 0 
02a7c000-02a91000 r-xp 00000000 fd:00 387446     /usr/lib/GNUstep/GDLAdaptors-4.9/PostgreSQL.gdladaptor/PostgreSQL
02a91000-02a98000 rw-p 00014000 fd:00 387446     /usr/lib/GNUstep/GDLAdaptors-4.9/PostgreSQL.gdladaptor/PostgreSQL
02b72000-02d09000 r-xp 00000000 fd:00 146095     /usr/lib/libicui18n.so.42.1
02d09000-02d10000 rw-p 00197000 fd:00 146095     /usr/lib/libicui18n.so.42.1
02d12000-03c57000 r-xp 00000000 fd:00 146023     /usr/lib/libicudata.so.42.1
03c57000-03c58000 rw-p 00f44000 fd:00 146023     /usr/lib/libicudata.so.42.1
05912000-05926000 r-xp 00000000 fd:00 387452     /usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
05926000-0592b000 rw-p 00014000 fd:00 387452     /usr/lib/GNUstep/SaxDrivers-4.9/libxmlSAXDriver.sax/libxmlSAXDriver
05a6e000-05a7f000 r-xp 00000000 fd:00 388086     /usr/lib/GNUstep/GDLAdaptors-4.9/MySQL.gdladaptor/MySQL
05a7f000-05a85000 rw-p 00010000 fd:00 388086     /usr/lib/GNUstep/GDLAdaptors-4.9/MySQL.gdladaptor/MySQL
06503000-06637000 r-xp 00000000 fd:00 140143     /usr/lib/libnss3.so
06637000-06638000 ---p 00134000 fd:00 140143     /usr/lib/libnss3.so
06638000-0663b000 r--p 00134000 fd:00 140143     /usr/lib/libnss3.so
0663b000-0663d000 rw-p 00137000 fd:00 140143     /usr/lib/libnss3.so
0663f000-06783000 r-xp 00000000 fd:00 139785     /usr/lib/libxml2.so.2.7.6
06783000-06788000 rw-p 00143000 fd:00 139785     /usr/lib/libxml2.so.2.7.6
06788000-06789000 rw-p 00000000 00:00 0 
0678b000-067c2000 r-xp 00000000 fd:00 155027     /usr/lib/libNGCards.so.4.9.0
067c2000-067d3000 rw-p 00036000 fd:00 155027     /usr/lib/libNGCards.so.4.9.0
0680d000-06858000 r-xp 00000000 fd:00 292        /lib/libldap-2.4.so.2.5.6
06858000-06859000 r--p 0004a000 fd:00 292        /lib/libldap-2.4.so.2.5.6
06859000-0685a000 rw-p 0004b000 fd:00 292        /lib/libldap-2.4.so.2.5.6
0685c000-06c2e000 r-xp 00000000 fd:00 151558     /usr/lib/libgnustep-base.so.1.23.0
06c2e000-06cc6000 rw-p 003d1000 fd:00 151558     /usr/lib/libgnustep-base.so.1.23.0
06cc6000-06cc7000 rw-p 00000000 00:00 0 
06cc9000-06d8a000 r-xp 00000000 fd:00 155371     /usr/lib/libNGMime.so.4.9.3
06d8a000-06dc3000 rw-p 000c0000 fd:00 155371     /usr/lib/libNGMime.so.4.9.3
06dc5000-06e41000 r-xp 00000000 fd:00 387422     /usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/1/libSOGo.so.1.3.12
06e41000-06e63000 rw-p 0007c000 fd:00 387422     /usr/lib/GNUstep/Frameworks/SOGo.framework/Versions/1/libSOGo.so.1.3.12
06e65000-06ed0000 r-xp 00000000 fd:00 154338     /usr/lib/libNGExtensions.so.4.9.203
06eef000-0709e000 r-xp 00000000 fd:00 155372     /usr/lib/libNGObjWeb.so.4.9.37
0709e000-07127000 rw-p 001ae000 fd:00 155372     /usr/lib/libNGObjWeb.so.4.9.37
07129000-071c5000 r-xp 00000000 fd:00 140202     /usr/lib/libWEExtensions.so.4.9.94
071c5000-071f4000 rw-p 0009c000 fd:00 140202     /usr/lib/libWEExtensions.so.4.9.94
08048000-08050000 r-xp 00000000 fd:00 137560     /usr/sbin/sogod
08050000-08056000 rw-p 00007000 fd:00 137560     /usr/sbin/sogod
08cdd000-08e79000 rw-p 00000000 00:00 0 
08e79000-08f86000 rw-p 00000000 00:00 0 
08f86000-093c5000 rw-p 00000000 00:00 0 
b764b000-b766e000 rw-p 00000000 00:00 0 
b768f000-b7691000 rw-p 00000000 00:00 0 
b7691000-b7891000 r--p 00000000 fd:00 154369     /usr/lib/locale/locale-archive
b7891000-b789e000 rw-p 00000000 00:00 0 
b78a1000-b78a2000 rw-p 00000000 00:00 0 
b78a2000-b78a9000 r--s 00000000 fd:00 154263     /usr/lib/gconv/gconv-modules.cache
b78a9000-b78ad000 rw-p 00000000 00:00 0 
bfd4d000-bfd69000 rw-p 00000000 00:00 0          [stack]
Apr 12 16:46:43 sogod [18550]: <0x0x8e9153c[WOWatchDogChild]> child 27770 exited
Apr 12 16:46:43 sogod [18550]: <0x0x8e9153c[WOWatchDogChild]>  (terminated due to signal 6, coredump)
Apr 12 16:46:43 sogod [18550]: <0x0x8f2e94c[WOWatchDog]> child spawned with pid 27811
2012-04-12 16:50:10.699 sogod[27811] Note: Using UTF-8 as URL encoding in NGExtensions.
Apr 12 16:50:10 sogod [27811]: <0x0x9048d34[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
Apr 12 16:50:10 sogod [27811]: <0x0x9048d34[SOGoCache]> Using host(s) 'localhost' as server(s)
sogo_log.txt (22,155 bytes)   
pepelton

pepelton

2012-04-12 10:56

reporter   ~0003725

Forgot to mention (if it makes any difference):

My calendars / user information is stored in PostgreSQL database (no LDAP).

The account I have been using to test this has English set as the language and Europe/Helsinki as the timezone.

pepelton

pepelton

2012-04-12 11:32

reporter   ~0003726

I now tried also with http://sogo-demo.inverse.ca/ and account sogo1 to import the non-working ics testi_doesnt_work.ics file:

The importing part worked fine (the UI reported "Done"), but the at least the first recurring event is still not visible in the actual web calendar: it is listed in the event list (date: Apr 20th 2012 07:00 CEST, title: "MHä: Syntymäpäivä") and if you click it, you are transferred to the correct day in the calendar, but there is no event "box" for the event in the actual calendar view.

As I cannot see the logs for the server I have no information if this causes sogo to terminate or not.

pepelton

pepelton

2012-04-16 13:20

reporter   ~0003744

I updated to 1.3.14 with yum and rebooted.

Removed the user data with sogo-tool, logged in and imported testi_doesnt_work.ics.

The upload window never closes and the stack smashing detected crash happens.

ludovic

ludovic

2012-04-16 13:50

administrator   ~0003745

We'll try to reproduce the issue on a CentOS 6 x86_64 installation.

jraby

jraby

2012-04-16 17:03

viewer   ~0003747

Last edited: 2012-04-16 17:04

Reproduced on centos6 i386 (1.3.14 and nightly)

see bt.txt for stack trace.

2012-04-16 17:04

 

bt.txt (7,394 bytes)   
#0  0x00c0f424 in __kernel_vsyscall ()
#1  0x0075aaf1 in raise () from /lib/libc.so.6
#2  0x0075c3ca in abort () from /lib/libc.so.6
#3  0x007985d5 in __libc_message () from /lib/libc.so.6
#4  0x0082716d in __fortify_fail () from /lib/libc.so.6
#5  0x0082711a in __stack_chk_fail () from /lib/libc.so.6
#6  0x00b6db84 in __stack_chk_fail_local () from /usr/lib/libNGCards.so.4.9
#7  0x00b60221 in -[iCalMonthlyRecurrenceCalculator recurrenceRangesWithinCalendarDateRange:] (self=0x968529c, _cmd=0xb851b0, _r=0x96858a4)
    at iCalMonthlyRecurrenceCalculator.m:431
#8  0x00b6918d in -[iCalYearlyRecurrenceCalculator recurrenceRangesWithinCalendarDateRange:] (self=0x96c0184, _cmd=0xb851f0, _r=0x96848dc)
    at iCalYearlyRecurrenceCalculator.m:189
#9  0x00b69654 in -[iCalYearlyRecurrenceCalculator lastInstanceStartDate] (self=0x96c0184, _cmd=0xb824d0) at iCalYearlyRecurrenceCalculator.m:257
#10 0x00b64059 in -[iCalRecurrenceCalculator lastInstanceCalendarDateRange] (self=0x96c0184, _cmd=0xb83040) at iCalRecurrenceCalculator.m:327
#11 0x00b652ab in -[iCalRepeatableEntityObject lastPossibleRecurrenceStartDateUsingFirstInstanceCalendarDateRange:] (self=0x96380f4, _cmd=0xb7ed18, 
    _r=0x9682bf4) at iCalRepeatableEntityObject.m:314
#12 0x00b5cf68 in -[iCalEvent lastPossibleRecurrenceStartDate] (self=0x96380f4, _cmd=0xec2fd8) at iCalEvent.m:231
#13 0x00e88319 in -[iCalEvent(SOGoExtensions) quickRecord] (self=0x96380f4, _cmd=0xf0a458) at iCalEvent+SOGo.m:166
#14 0x00f09007 in -[OCSiCalFieldExtractor extractQuickFieldsFromContent:] (self=0x95f89b4, _cmd=0x4b6f88, _content=0x95ec014) at OCSiCalFieldExtractor.m:84
#15 0x0049ede0 in -[GCSFolder writeContent:toName:baseVersion:] (self=0x96ab054, _cmd=0xdeb160, _content=0x95ec014, _name=0x966f1ec, _baseVersion=0)
    at GCSFolder.m:947
#16 0x00d8aa59 in -[SOGoContentObject saveContentString:baseVersion:] (self=0x967076c, _cmd=0xdeb188, newContent=0x95ec014, newVersion=0)
    at SOGoContentObject.m:210
#17 0x00d8abb5 in -[SOGoContentObject saveContentString:] (self=0x967076c, _cmd=0xecc5a0, newContent=0x95ec014) at SOGoContentObject.m:228
#18 0x00ea6bdd in -[SOGoAppointmentFolder importComponent:timezone:] (self=0x9592504, _cmd=0xecc600, event=0x9641b64, timezone=0x93c8f94)
    at SOGoAppointmentFolder.m:2647
#19 0x00ea720e in -[SOGoAppointmentFolder importCalendar:] (self=0x9592504, _cmd=0x8cc1ef0, calendar=0x963f804) at SOGoAppointmentFolder.m:2715
#20 0x08c913bf in -[UIxCalFolderActions importAction] (self=0x957344c, _cmd=0x964b570) at UIxCalFolderActions.m:85
#21 0x0113cc18 in -[NSObject performSelector:] (self=0x957344c, _cmd=0x3adc20, aSelector=0x964b570) at NSObject.m:1985
#22 0x002876f5 in -[WOComponent(DirectActionExtensions) performActionNamed:] (self=0x957344c, _cmd=0x3fdb18, _actionName=0x9542004)
    at WOPageRequestHandler.m:251
#23 0x0030c58e in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x958324c, _cmd=0x3fdb30, _client=0x9592504, 
    _positionalArgs=0x0, _ctx=0x962310c) at SoActionInvocation.m:300
#24 0x0030c6c6 in -[SoActionInvocation callOnObject:inContext:] (self=0x958324c, _cmd=0x3fdac0, _client=0x9592504, _ctx=0x962310c)
    at SoActionInvocation.m:316
#25 0x0030c2e9 in -[SoActionInvocation callOnObject:withPositionalParametersWhenNotNil:inContext:] (self=0x916a1cc, _cmd=0x3fdb30, _client=0x9592504, 
    _positionalArgs=0x0, _ctx=0x962310c) at SoActionInvocation.m:259
#26 0x0030c6c6 in -[SoActionInvocation callOnObject:inContext:] (self=0x916a1cc, _cmd=0x3fbfb8, _client=0x9592504, _ctx=0x962310c)
    at SoActionInvocation.m:316
#27 0x00306652 in -[SoObjectMethodDispatcher dispatchInContext:] (self=0x963ac74, _cmd=0x3fca50, _ctx=0x962310c) at SoObjectMethodDispatcher.m:191
#28 0x00308e65 in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x91625bc, _cmd=0x3af6d0, _rq=0x9611084, _ctx=0x962310c, 
---Type <return> to continue, or q <return> to quit--- 
    _sn=0x0, app=0x917f34c) at SoObjectRequestHandler.m:591
#29 0x00289826 in -[WORequestHandler handleRequest:] (self=0x91625bc, _cmd=0x38dda8, _request=0x9611084) at WORequestHandler.m:241
#30 0x0024644f in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x917f34c, _cmd=0x38ddd8, _request=0x9611084, handler=0x91625bc)
    at WOCoreApplication.m:709
#31 0x00246783 in -[WOCoreApplication dispatchRequest:] (self=0x917f34c, _cmd=0x8051498, _request=0x9611084) at WOCoreApplication.m:749
#32 0x0804a9f9 in -[SOGo dispatchRequest:] (self=0x917f34c, _cmd=0x3ecc10, _request=0x9611084) at SOGo.m:451
#33 0x002f67ba in -[WOHttpTransaction _run] (self=0x939973c, _cmd=0x3ecc28) at WOHttpTransaction.m:581
#34 0x002f6b60 in -[WOHttpTransaction run] (self=0x939973c, _cmd=0x3ebc68) at WOHttpTransaction.m:634
#35 0x002f2449 in -[WOHttpAdaptor runConnection:] (self=0x937a684, _cmd=0x3ebcb8, _socket=0x96cfe2c) at WOHttpAdaptor.m:374
#36 0x002f268a in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x937a684, _cmd=0x3ebcc0, _connection=0x96cfe2c) at WOHttpAdaptor.m:408
#37 0x002f2abc in -[WOHttpAdaptor _handleConnection:] (self=0x937a684, _cmd=0x3ebd18, connection=0x96cfe2c) at WOHttpAdaptor.m:467
#38 0x002f2dc5 in -[WOHttpAdaptor acceptControlMessage:] (self=0x937a684, _cmd=0x3ebbc8, aNotification=0x9145e9c) at WOHttpAdaptor.m:506
#39 0x0112c8ee in -[NSNotificationCenter _postAndRelease:] (self=0x9019364, _cmd=0x13c02e8, notification=0x9145e9c) at NSNotificationCenter.m:1223
#40 0x0112cbda in -[NSNotificationCenter postNotificationName:object:userInfo:] (self=0x9019364, _cmd=0x13c02f0, name=0x537e40, object=0x9214cbc, info=0x0)
    at NSNotificationCenter.m:1282
#41 0x0112ca88 in -[NSNotificationCenter postNotificationName:object:] (self=0x9019364, _cmd=0x537f48, name=0x537e40, object=0x9214cbc)
    at NSNotificationCenter.m:1262
#42 0x004f6cc7 in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x9214cbc, _cmd=0x1415f08, _fdData=0x6, _type=ET_RDESC, 
    _extra=0x6, _mode=0x13d5538) at NSRunLoop+FileObjects.m:57
#43 0x01243d42 in -[GSRunLoopCtxt pollUntil:within:] (self=0x9145ff4, _cmd=0x13d5df0, milliseconds=29008, contexts=0x921efe4) at GSRunLoopCtxt.m:632
#44 0x0117ad73 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x921f64c, _cmd=0x13d5e10, mode=0x13d5538, limit_date=0x954982c) at NSRunLoop.m:1198
#45 0x0117b174 in -[NSRunLoop runMode:beforeDate:] (self=0x921f64c, _cmd=0x38dd20, mode=0x13d5538, date=0x919363c) at NSRunLoop.m:1266
#46 0x00245c18 in -[WOCoreApplication run] (self=0x917f34c, _cmd=0x80513a8) at WOCoreApplication.m:581
#47 0x0804a074 in -[SOGo run] (self=0x917f34c, _cmd=0x3b43f0) at SOGo.m:275
#48 0x0029364f in -[WOWatchDog _runChildWithControlSocket:] (self=0x901e634, _cmd=0x3b4448, controlSocket=0x9214cbc) at WOWatchDogApplicationMain.m:510
#49 0x00293ab5 in -[WOWatchDog _spawnChild:] (self=0x901e634, _cmd=0x3b44b0, child=0x911d0b4) at WOWatchDogApplicationMain.m:578
#50 0x00294253 in -[WOWatchDog _ensureChildren] (self=0x901e634, _cmd=0x3b4598) at WOWatchDogApplicationMain.m:668
#51 0x002953cf in -[WOWatchDog run:argc:argv:] (self=0x901e634, _cmd=0x3b4620, newAppName=0x8050280, newArgC=7, newArgV=0xbfbb2264)
    at WOWatchDogApplicationMain.m:919
#52 0x00295bdb in WOWatchDogApplicationMain (appName=0x8050280, argc=7, argv=0xbfbb2264) at WOWatchDogApplicationMain.m:1028
#53 0x080492e5 in main (argc=7, argv=0xbfbb2264, env=0xbfbb2284) at sogod.m:53
1
bt.txt (7,394 bytes)   
pepelton

pepelton

2012-04-16 17:13

reporter   ~0003748

Thank you. The machines I've been using for testing are Xen virtual machines running 32bit CentOS6.

I've also now tried dropping the db and restarting sogo+memcached to be sure my db schema is current. This did not help: importing testi_doesnt_work.ics causes the stack mash. After this if I reload the calendar the stack mash does not happen, but I can see that only first two events have been imported, which are not recurring events. After that nothing is imported, first event not being imported being a recurring one ("SUMMARY:TA: Syntymäpäivä").

If I move the first recurring event as the first in the ics file no events are imported, so it seems it is this entry that causes the trouble:

BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Tepsell Aimo
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T08000
0
LAST-MODIFIED:20120412T134145Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=8;BYMONTH=5
SEQUENCE:0
SUMMARY:TA: Syntymäpäivä
TRANSP:TRANSPARENT
UID:AAAAAKBLfQSTFlxNn7zABZSzyYkk0iYA
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT

I also tried removing all umlaut characters from the ics file which did not help either.

jraby

jraby

2012-04-16 17:56

viewer   ~0003749

Indeed, the crash can be reproduced simply by importing 'crasher.ics'.

2012-04-16 17:56

 

crasher.ics (1,209 bytes)   
BEGIN:VCALENDAR
PRODID:-//Microsoft Corporation//Outlook 14.0 MIMEDIR//EN
VERSION:2.0
METHOD:PUBLISH
X-CALSTART:20120412T143000Z
X-CALEND:20300404T050000Z
X-WR-RELCALID:{00000018-64ED-4D98-19B5-B63EBEF47E0F}
X-WR-CALNAME:Testi
BEGIN:VTIMEZONE
TZID:Helsinki\, Kiev\, Riika\, Tallinna\, Sofia\, Vilna
BEGIN:STANDARD
DTSTART:16011028T040000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
TZOFFSETFROM:+0300
TZOFFSETTO:+0200
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:16010325T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
TZOFFSETFROM:+0200
TZOFFSETTO:+0300
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
CLASS:PUBLIC
CONTACT:Tepsell Aimo
CREATED:20120412T131908Z
DTEND;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T080000
DTSTAMP:20120412T051752Z
DTSTART;TZID="Helsinki, Kiev, Riika, Tallinna, Sofia, Vilna":20120508T08000
	0
LAST-MODIFIED:20120412T134145Z
PRIORITY:5
RRULE:FREQ=YEARLY;COUNT=18;BYMONTHDAY=8;BYMONTH=5
SEQUENCE:0
SUMMARY:TA: Syntymäpäivä
TRANSP:TRANSPARENT
UID:AAAAAKBLfQSTFlxNn7zABZSzyYkk0iYA
X-MICROSOFT-CDO-BUSYSTATUS:FREE
X-MICROSOFT-CDO-IMPORTANCE:1
X-MICROSOFT-DISALLOW-COUNTER:FALSE
X-MS-OLK-ALLOWEXTERNCHECK:TRUE
X-MS-OLK-AUTOFILLLOCATION:TRUE
X-MS-OLK-CONFTYPE:0
END:VEVENT
END:VCALENDAR
crasher.ics (1,209 bytes)   
jraby

jraby

2012-04-16 18:40

viewer   ~0003750

Turned out to be an off by one issue.

Should be fixed in the next nightly build. (http://mtn.inverse.ca/revision/info/2c3f8544a30679096de28ae80a840c371b12d94b)

pepelton

pepelton

2012-04-17 07:22

reporter   ~0003751

I upgraded to packages from http://www.sogo.nu/files/downloads/SOGo/RHEL6/nightly/i386/RPMS/ using yum.

This upgraded my dev installation from 1.3.14 to sogo-2.0_20120416-1.centos6.i686

The problem did not get resolved: After the upgrade and restarting sogod+memcached, sogod still crashses after importing crasher.ics or testi_doesnt_work.ics

Did I upgrade using wrong packages? Is there a nightly rpm download for 1.3.x branch available?

jraby

jraby

2012-04-17 11:10

viewer   ~0003757

The fix is in the sope49-cards package:
http://inverse.ca/downloads/SOGo/RHEL6/nightly/i386/RPMS/sope49-cards-2.0_20120417-1.centos6.i686.rpm

ludovic

ludovic

2012-04-18 16:22

administrator   ~0003774

This should be fixed. Reopen if necessary.

Issue History

Date Modified Username Field Change
2012-04-12 10:49 pepelton New Issue
2012-04-12 10:49 pepelton File Added: testi_doesnt_work.ics
2012-04-12 10:50 pepelton File Added: testi_works_with_funambol.ics
2012-04-12 10:50 pepelton File Added: testi_without_recurring_events.ics
2012-04-12 10:51 pepelton File Added: sogo_log.txt
2012-04-12 10:56 pepelton Note Added: 0003725
2012-04-12 11:32 pepelton Note Added: 0003726
2012-04-16 13:20 pepelton Note Added: 0003744
2012-04-16 13:50 ludovic Note Added: 0003745
2012-04-16 17:03 jraby Note Added: 0003747
2012-04-16 17:04 jraby File Added: bt.txt
2012-04-16 17:04 jraby Note Edited: 0003747
2012-04-16 17:13 pepelton Note Added: 0003748
2012-04-16 17:56 jraby Note Added: 0003749
2012-04-16 17:56 jraby File Added: crasher.ics
2012-04-16 18:40 jraby Note Added: 0003750
2012-04-17 07:22 pepelton Note Added: 0003751
2012-04-17 11:10 jraby Note Added: 0003757
2012-04-17 11:12 ludovic Relationship added related to 0001759
2012-04-18 16:22 ludovic Note Added: 0003774
2012-04-18 16:22 ludovic Status new => resolved
2012-04-18 16:22 ludovic Fixed in Version => 1.3.15
2012-04-18 16:22 ludovic Resolution open => fixed
2012-04-18 16:22 ludovic Assigned To => ludovic
2012-04-18 16:22 ludovic Status resolved => closed